summaryrefslogtreecommitdiffstats
path: root/graphics/gpscorrelate
diff options
context:
space:
mode:
author David Spencer2010-05-11 20:00:36 +0200
committer Robby Workman2010-05-11 20:00:36 +0200
commit90775c62ffab313c3a140b14dac4a39ca1e5ff99 (patch)
treeda8148b2d6b4f1184503ccf444a1b240f1632882 /graphics/gpscorrelate
parent2d4a52f6246d838213c1288116b1af76830adf98 (diff)
downloadslackbuilds-90775c62ffab313c3a140b14dac4a39ca1e5ff99.tar.gz
graphics/gpscorrelate: Added to 12.0 repository
Diffstat (limited to 'graphics/gpscorrelate')
-rw-r--r--graphics/gpscorrelate/README13
-rw-r--r--graphics/gpscorrelate/gpscorrelate.SlackBuild54
-rw-r--r--graphics/gpscorrelate/gpscorrelate.info8
-rw-r--r--graphics/gpscorrelate/slack-desc19
4 files changed, 94 insertions, 0 deletions
diff --git a/graphics/gpscorrelate/README b/graphics/gpscorrelate/README
new file mode 100644
index 0000000000..df57edf8aa
--- /dev/null
+++ b/graphics/gpscorrelate/README
@@ -0,0 +1,13 @@
+GPScorrelate writes EXIF GPS tags to JPEG photos using a GPX tracklog.
+Both a command line utility (gpscorrelate) and a GTK+ application
+(gpscorrelate-gui) are provided.
+
+The date/time of each photo is correlated with a GPS tracklog and the
+photos are tagged (or "geocoded") with appropriate EXIF GPS tags. For
+more information please see the GPScorrelate homepage.
+
+GPScorrelate requires exiv2, which is also available at SlackBuilds.org.
+
+The tracklog must be in GPX format. One suitable utility for downloading
+tracklogs and translating them to GPX format is gpsbabel, which is also
+available at SlackBuilds.org.
diff --git a/graphics/gpscorrelate/gpscorrelate.SlackBuild b/graphics/gpscorrelate/gpscorrelate.SlackBuild
new file mode 100644
index 0000000000..2f6ee19199
--- /dev/null
+++ b/graphics/gpscorrelate/gpscorrelate.SlackBuild
@@ -0,0 +1,54 @@
+#!/bin/sh
+
+# Slackware build script for gpscorrelate
+# Written by David Spencer <nobbutl@yahoo.co.uk>
+# This script is dedicated to the public domain
+
+PRGNAM=gpscorrelate
+VERSION=1.5.6
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+make CFLAGS="$SLKCFLAGS $(pkg-config --cflags libxml-2.0 gtk+-2.0) -I/usr/include/exiv2"
+
+mkdir -p $PKG/usr/bin
+for i in gpscorrelate gpscorrelate-gui ; do
+ strip --strip-unneeded $i
+ cp $i $PKG/usr/bin
+done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING INSTALL README RELEASES command-line-options.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+( cd doc ; cp -a command.html concepts.html corr.png gui.html index.html \
+ $PKG/usr/doc/$PRGNAM-$VERSION )
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/graphics/gpscorrelate/gpscorrelate.info b/graphics/gpscorrelate/gpscorrelate.info
new file mode 100644
index 0000000000..773ff4190c
--- /dev/null
+++ b/graphics/gpscorrelate/gpscorrelate.info
@@ -0,0 +1,8 @@
+PRGNAM="gpscorrelate"
+VERSION="1.5.6"
+HOMEPAGE="http://freefoote.dview.net/linux_gpscorr.html"
+DOWNLOAD="http://freefoote.dview.net/linux/gpscorrelate-1.5.6.tar.gz"
+MD5SUM="a76ee92d6f37c7d7d3a3c36dcd07ba62"
+MAINTAINER="David Spencer"
+EMAIL="nobbutl@yahoo.co.uk"
+APPROVED="rworkman"
diff --git a/graphics/gpscorrelate/slack-desc b/graphics/gpscorrelate/slack-desc
new file mode 100644
index 0000000000..20cc5e4f11
--- /dev/null
+++ b/graphics/gpscorrelate/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+gpscorrelate: gpscorrelate (write EXIF GPS tags to photos using a GPX tracklog)
+gpscorrelate:
+gpscorrelate: A GTK+ app and command line utility for geocoding JPEG photos.
+gpscorrelate: The date/time of each photo is correlated with a GPS tracklog
+gpscorrelate: (in GPX format) and the photos are tagged with appropriate EXIF
+gpscorrelate: GPS tags.
+gpscorrelate:
+gpscorrelate: Homepage: http://freefoote.dview.net/linux_gpscorr.html
+gpscorrelate:
+gpscorrelate:
+gpscorrelate: